/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.geom.Ellipse2D;
import java.util.ArrayList;
import javax.swing.JPanel;

/**
 *
 * @author nicolas
 */
public class RecognizedMap extends JPanel {
    private ArrayList robot;
    private ArrayList sensorsRange;

    public RecognizedMap() {
        double robotX = 60.0;     // Centro geometrico del robot
        double robotY = 60.0;     // Centro geometrico del robot
        double sensorsX = robotX - 60;   // upper-left corner of the framing rectangle in double precision.
        double sensorsY = robotY - 60;   // upper-left corner of the framing rectangle in double precision.

        // Ellipse2D.Double( X Coord, Y Coord, Width, Height)
        robot = new ArrayList();
        robot.add(new Ellipse2D.Double(robotX,robotY,60,60));
        sensorsRange = new ArrayList();
        sensorsRange.add(new Ellipse2D.Double(sensorsX,sensorsY,180,180));
    }

    public void paintComponent(Graphics g) {
        super.paintComponent(g);
        Graphics2D g2d = (Graphics2D)g;
        
        // draw all squares
        for (int i = 0; i < robot.size(); i++)
            g2d.fill((Ellipse2D)robot.get(i));
        for (int i = 0; i < sensorsRange.size(); i++)
            g2d.draw((Ellipse2D)sensorsRange.get(i));
    }

    public void addTrace(double xrobot, double yrobot){
        robot.add(new Ellipse2D.Double(xrobot,yrobot,60,60));
        sensorsRange.add(new Ellipse2D.Double((xrobot-60),(yrobot-60),180,180));
    }
}
